#!/bin/bash

set -e

echo "prebuiliding docker image"

cuddle_cli x build_release

echo "running docker image"

tag="$REGISTRY/$NAME:$COMMIT_SHA"

container_id=$(docker run --rm -d "$tag")

sleep 5s || docker logs "$container_id"

docker stop "$container_id"
